### Enumeration

# GVnc ConnectionAuth

#### Declaration

    enum GVnc.ConnectionAuth

#### Description

No description available.

#### Members

`VNC_CONNECTION_AUTH_INVALID`

  No description available.

  - Value: `0`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_NONE`

  No authentication is needed and protocol data is to be sent unencrypted.

  - Value: `1`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_VNC`

  VNC authentication is to be used and protocol data is to be sent unencrypted.

  - Value: `2`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_RA2`

  RealVNC authentication.

  - Value: `5`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_RA2NE`

  RealVNC authentication.

  - Value: `6`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_TIGHT`

  The Tight security type is a generic protocol extension.

  - Value: `16`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_ULTRA`

  Ultra authentication.

  - Value: `17`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_TLS`

  TLS authentication.

  - Value: `18`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_VENCRYPT`

  The VeNCrypt security type is a generic authentication method which encapsulates multiple authentication subtypes.

  - Value: `19`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_SASL`

  SASL authentication.

  - Value: `20`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_ARD`

  Apple remote desktop (screen sharing) authentication.

  - Value: `30`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_MSLOGONII`

  Authentication used by UltraVNC.

  - Value: `113`
  - Available since: 1.0
`VNC_CONNECTION_AUTH_MSLOGON`

  Authentication used by UltraVNC.

  - Value: `4294967290`
  - Available since: 1.0